@import "../../styles/variables.scss";

.brick {
  position: relative;

  padding: 36px;
  box-sizing: border-box;

  cursor: pointer;
  transition: all 0.15s;
  border: 1px solid $gray-1;

  background-color: #fff;

  &_subtitle {
    margin-top: 12px;
  }

  &_button {
    margin-top: 24px;
    padding: 0;

    border: none;
    outline: none;
    cursor: pointer;

    color: $gray-4;
    background: transparent;

    &:after {
      content: '';

      margin-left: 6px;
      padding: 3px;
      transform: rotate(-45deg);

      display: inline-block;

      border-style: solid;
      border-color: $gray-4;
      border-width: 0 1px 1px 0;
    }

    &:hover {
      color :$red;

      &:after {
        border-color: $red;
      }
    }
  }

  &:hover {
    box-shadow: 0 4px 11px rgba(0, 0, 0, .08);

    & > h3 {
      color: $red;
    }
  }
}

.links {
  margin-top: 24px;

  &_subtitle {
    margin-top: 12px;
  }

  & > ul {
    padding: 0;
    margin-top: 4px;

    list-style: none;

    & > li {
      margin-bottom: 6px;

      & > a {
        & span {
          pointer-events: none;
        }
      }

      &:last-child {
        margin-bottom: 0;
      }
    }
  }
}
